Bug 1415274 - winbind shows memory leak in valgrind
Summary: winbind shows memory leak in valgrind
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba3x
Version: 5.11
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Andreas Schneider
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-20 17:53 UTC by Amy Farley
Modified: 2020-05-14 15:33 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-18 21:56:14 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Amy Farley 2017-01-20 17:53:57 UTC
Description of problem:


Version-Release number of selected component (if applicable):
kernel-2.6.18-417.el5.i686
kernel-PAE-devel-2.6.18-417.el5.i686
kernel-devel-2.6.18-417.el5.i686
kernel-PAE-2.6.18-417.el5.i686
redhat-release-5Server-5.11.0.7.i386
kernel-headers-2.6.18-417.el5.i386
tzdata-2016j-1.el5.i386
30:bind-libs-9.3.6-25.P1.el5_11.12.i386
nss-3.21.3-2.el5_11.i386
30:bind-utils-9.3.6-25.P1.el5_11.12.i386


samba3x-winbind-3.6.23-13.el5_11
samba3x-3.6.23-13.el5_11
samba3x-common-3.6.23-13.el5_11

How reproducible:

1. valgrind report confirms leaks.
==00:00:00:01.825 6593== LEAK SUMMARY:
==00:00:00:01.825 6593==    definitely lost: 24 bytes in 1 blocks
==00:00:00:01.825 6593==    indirectly lost: 260 bytes in 14 blocks
==00:00:00:01.825 6593==      possibly lost: 9,527 bytes in 96 blocks
==00:00:00:01.825 6593==    still reachable: 3,968 bytes in 82 blocks
==00:00:00:01.825 6593==         suppressed: 0 bytes in 0 blocks
2. Also ps command shows "winbind" memory consumption increased over the time.

Looking for fix or backport of fix from newer samba.

Additional info:

Comment 2 Sumit Bose 2017-01-23 09:45:22 UTC
This might be related or even a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1364363.

Comment 10 Andreas Schneider 2017-03-10 10:23:03 UTC
We need valgrind logs with debuginfo packages installed. samba-debuginfo, libtalloc-debuginfo, libtevent-debuginfo, libtdb-debuginfo ...

Stop winbind and then use:

valgrind --tool=memcheck -v --num-callers=20 --trace-children=yes --log-file=/var
/log/winbind-memcheck-%p.log /usr/sbin/winbindd

Comment 11 Amy Farley 2017-03-23 13:33:21 UTC
Created attachment 1265750 [details]
valgrind test

Comment 14 Andreas Schneider 2017-03-29 12:58:06 UTC
I'm sorry, but the valgrind log has been created without samba3x-debuginfo packages installed so the information I get are very limited.

However the only issue I see is inside of the openldap library which calls close() on an -1 fd.

Also I see only the log from one winbind process. Winbind normally has more than two processes.

Comment 16 Chris Williams 2017-04-18 21:56:14 UTC
Red Hat Enterprise Linux 5 shipped it's last minor release, 5.11, on September 14th, 2014. On March 31st, 2017 RHEL 5 exited Production Phase 3 and entered Extended Life Phase. For RHEL releases in the Extended Life Phase, Red Hat  will provide limited ongoing technical support. No bug fixes, security fixes, hardware enablement or root-cause analysis will be available during this phase, and support will be provided on existing installations only.  If the customer purchases the Extended Life-cycle Support (ELS), certain critical-impact security fixes and selected urgent priority bug fixes for the last minor release will be provided.  For more details please consult the Red Hat Enterprise Linux Life Cycle Page:
https://access.redhat.com/support/policy/updates/errata

This BZ does not appear to meet ELS criteria so is being closed WONTFIX. If this BZ is critical for your environment and you have an Extended Life-cycle Support Add-on entitlement, please open a case in the Red Hat Customer Portal, https://access.redhat.com ,provide a thorough business justification and ask that the BZ be re-opened for consideration of an errata. Please note, only certain critical-impact security fixes and selected urgent priority bug fixes for the last minor release can be considered.


Note You need to log in before you can comment on or make changes to this bug.